summaryrefslogtreecommitdiffstats
path: root/patches
diff options
context:
space:
mode:
Diffstat (limited to 'patches')
-rw-r--r--patches/packages/LibRaw-0.20.2-x86_64-4_slack15.0.txt11
-rw-r--r--patches/source/LibRaw/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch22
-rwxr-xr-xpatches/source/LibRaw/LibRaw.SlackBuild138
-rw-r--r--patches/source/LibRaw/LibRaw.url1
-rw-r--r--patches/source/LibRaw/bc3aaf4223fdb70d52d470dae65c5a7923ea2a49.patch37
-rw-r--r--patches/source/LibRaw/slack-desc19
6 files changed, 228 insertions, 0 deletions
diff --git a/patches/packages/LibRaw-0.20.2-x86_64-4_slack15.0.txt b/patches/packages/LibRaw-0.20.2-x86_64-4_slack15.0.txt
new file mode 100644
index 000000000..ee4aa2280
--- /dev/null
+++ b/patches/packages/LibRaw-0.20.2-x86_64-4_slack15.0.txt
@@ -0,0 +1,11 @@
+LibRaw: LibRaw (library for decoding raw digital photos)
+LibRaw:
+LibRaw: LibRaw is a library for reading RAW files from digital photo cameras
+LibRaw: (CRW/CR2, NEF, RAF, DNG, MOS, KDC, DCR, etc, virtually all RAW formats
+LibRaw: are supported). It pays special attention to correct retrieval of data
+LibRaw: required for subsequent RAW conversion. The library is intended for
+LibRaw: embedding in RAW converters, data analyzers, and other programs using
+LibRaw: RAW files as the initial data.
+LibRaw:
+LibRaw: Homepage: https://www.libraw.org/
+LibRaw:
diff --git a/patches/source/LibRaw/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch b/patches/source/LibRaw/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch
new file mode 100644
index 000000000..427b3c852
--- /dev/null
+++ b/patches/source/LibRaw/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch
@@ -0,0 +1,22 @@
+From 9ab70f6dca19229cb5caad7cc31af4e7501bac93 Mon Sep 17 00:00:00 2001
+From: Alex Tutubalin <lexa@lexa.ru>
+Date: Sat, 14 Jan 2023 18:32:59 +0300
+Subject: [PATCH] do not set shrink flag for 3/4 component images
+
+---
+ src/preprocessing/raw2image.cpp | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/src/preprocessing/raw2image.cpp b/src/preprocessing/raw2image.cpp
+index e65e2ad7..702cf290 100644
+--- a/src/preprocessing/raw2image.cpp
++++ b/src/preprocessing/raw2image.cpp
+@@ -43,6 +43,8 @@ void LibRaw::raw2image_start()
+
+ // adjust for half mode!
+ IO.shrink =
++ !imgdata.rawdata.color4_image && !imgdata.rawdata.color3_image &&
++ !imgdata.rawdata.float4_image && !imgdata.rawdata.float3_image &&
+ P1.filters &&
+ (O.half_size || ((O.threshold || O.aber[0] != 1 || O.aber[2] != 1)));
+
diff --git a/patches/source/LibRaw/LibRaw.SlackBuild b/patches/source/LibRaw/LibRaw.SlackBuild
new file mode 100755
index 000000000..2e7f3417c
--- /dev/null
+++ b/patches/source/LibRaw/LibRaw.SlackBuild
@@ -0,0 +1,138 @@
+#!/bin/bash
+
+# Copyright 2013, 2015, 2016, 2018, 2023 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2013 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=LibRaw
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-4_slack15.0}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i586 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION-build
+mkdir $PKGNAM-$VERSION-build
+cd $PKGNAM-$VERSION-build
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Don't use icecream:
+PATH=$(echo $PATH | sed "s|/usr/libexec/icecc/bin||g" | tr -s : | sed "s/^://g" | sed "s/:$//g")
+
+# CVE-2023-1729:
+cat $CWD/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch | patch -p1 --verbose || exit 1
+# CVE-2023-32142:
+cat $CWD/bc3aaf4223fdb70d52d470dae65c5a7923ea2a49.patch | patch -p1 --verbose || exit 1
+
+autoreconf -vif
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-static \
+ --enable-jasper \
+ --enable-lcms \
+ --disable-examples \
+ --build=$TARGET || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYRIGHT Changelog.txt LICENSE* README* doc \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+mv $PKG/usr/doc/$PKGNAM-$VERSION/doc $PKG/usr/doc/$PKGNAM-$VERSION/html
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/patches/source/LibRaw/LibRaw.url b/patches/source/LibRaw/LibRaw.url
new file mode 100644
index 000000000..1fdefc8b6
--- /dev/null
+++ b/patches/source/LibRaw/LibRaw.url
@@ -0,0 +1 @@
+https://www.libraw.org/download
diff --git a/patches/source/LibRaw/bc3aaf4223fdb70d52d470dae65c5a7923ea2a49.patch b/patches/source/LibRaw/bc3aaf4223fdb70d52d470dae65c5a7923ea2a49.patch
new file mode 100644
index 000000000..b5b3d3a67
--- /dev/null
+++ b/patches/source/LibRaw/bc3aaf4223fdb70d52d470dae65c5a7923ea2a49.patch
@@ -0,0 +1,37 @@
+From bc3aaf4223fdb70d52d470dae65c5a7923ea2a49 Mon Sep 17 00:00:00 2001
+From: Alex Tutubalin <lexa@lexa.ru>
+Date: Mon, 12 Apr 2021 13:21:52 +0300
+Subject: [PATCH] check for input buffer size on datastream::gets
+
+---
+ src/libraw_datastream.cpp | 3 +++
+ 1 file changed, 3 insertions(+)
+
+diff --git a/src/libraw_datastream.cpp b/src/libraw_datastream.cpp
+index a5c1a84a..a31ae9dd 100644
+--- a/src/libraw_datastream.cpp
++++ b/src/libraw_datastream.cpp
+@@ -287,6 +287,7 @@ INT64 LibRaw_file_datastream::tell()
+
+ char *LibRaw_file_datastream::gets(char *str, int sz)
+ {
++ if(sz<1) return NULL;
+ LR_STREAM_CHK();
+ std::istream is(f.get());
+ is.getline(str, sz);
+@@ -421,6 +422,7 @@ INT64 LibRaw_buffer_datastream::tell()
+
+ char *LibRaw_buffer_datastream::gets(char *s, int sz)
+ {
++ if(sz<1) return NULL;
+ unsigned char *psrc, *pdest, *str;
+ str = (unsigned char *)s;
+ psrc = buf + streampos;
+@@ -618,6 +620,7 @@ INT64 LibRaw_bigfile_datastream::tell()
+
+ char *LibRaw_bigfile_datastream::gets(char *str, int sz)
+ {
++ if(sz<1) return NULL;
+ LR_BF_CHK();
+ return fgets(str, sz, f);
+ }
diff --git a/patches/source/LibRaw/slack-desc b/patches/source/LibRaw/slack-desc
new file mode 100644
index 000000000..d5eb44c8f
--- /dev/null
+++ b/patches/source/LibRaw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+LibRaw: LibRaw (library for decoding raw digital photos)
+LibRaw:
+LibRaw: LibRaw is a library for reading RAW files from digital photo cameras
+LibRaw: (CRW/CR2, NEF, RAF, DNG, MOS, KDC, DCR, etc, virtually all RAW formats
+LibRaw: are supported). It pays special attention to correct retrieval of data
+LibRaw: required for subsequent RAW conversion. The library is intended for
+LibRaw: embedding in RAW converters, data analyzers, and other programs using
+LibRaw: RAW files as the initial data.
+LibRaw:
+LibRaw: Homepage: https://www.libraw.org/
+LibRaw: